## gtk4 4.4.0+ds1

=== debian/changelog ===
gtk4 (4.4.0+ds1-5) unstable; urgency=medium

  * Sort patch series in upstream-first order
  * d/p/debian/Disable-clipboard-test.patch:
    Add patch to disable clipboard test, which regularly times out on
    buildds

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Sep 2021 15:08:47 +0100

gtk4 (4.4.0+ds1-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Simplify graphene dependency.
    The version in bullseye is sufficient for all architectures.
  * Drop dependency from libgtk-4-common to libgtk-3-common.
    This was put in place because they used to share GSettings schemas,
    but that's no longer the case.
  * Remove dependency from libgtk-4-bin to libgtk-3-bin.
    This was because they used to share gtkbuilder.its and gtkbuilder.loc,
    but those have been replaced by their gtk4builder counterparts, in
    libgtk-4-dev.
  * Remove dependency from gtk-4-examples to gtk-3-examples.
    This was because the demos shared GSettings schemas, but they no longer
    have the same name.
  * Remove alternative dependency on libgdk-pixbuf2.0-dev.
    We don't support skipping a Debian release, and this package's
    dependencies make it unlikely to be backported.
  * d/rules: Don't enable ffmpeg when experimental builds are copied to Ubuntu
  * d/p/reftest-compare-Treat-colour-channels-as-undefined-if-alp.patch:
    Add patch to ignore colour differences on pixels with zero alpha.
    This makes some of the remaining failing tests pass on mips*el.
  * d/p/debian/testsuite-Don-t-test-the-old-gl-renderer.patch:
    Add patch to disable testing of the old 'gl' renderer.
    The newer 'ngl' renderer is already the default, and 'gl' was removed
    upstream in 4.5.x, so 'gl' doesn't seem worthwhile to try to support.
    It also crashes in a couple of tests on mips*el. Let's focus testing
    effort on the renderer that has a future.
  * d/p/debian/Skip-some-known-failing-tests-on-mips-family-architecture.patch:
    Add patch to skip remaining failing gsk tests on mips*el
    (workaround for #993550)
  * Release to unstable (Closes: #992907)

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-capture-4-dev instead of sysprof
    in preparation for the sysprof package split (see #971243).
    Depend on version 3.40 to avoid re-exporting its symbols in our ABI.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Sep 2021 08:52:36 +0100

gtk4 (4.4.0+ds1-3) experimental; urgency=medium

  * Disable Broadway (HTML) backend.
    It isn't clear whether this is used in practice. If we disable it now,
    enabling it later if requested will not be an ABI break, but if we
    enable it now, we have to keep it enabled indefinitely.
  * d/missing-sources: Add source for libX11-derived compose sequences.
    By trial and error, the files in gtk/compose/ seem to be generated from
    libX11 1.7.0.
  * d/p/compose-Generate-endian-dependent-compact-Compose-data.patch,
  * Add proposed patch to use big-endian compose data on big-endian host,
    keeping the existing little-endian version for little-endian hosts.
    This resolves a FTBFS caused by test failure on s390x and other
    big-endian ports.
  * d/p/compose-Document-how-to-get-compose-parse-input-from-libX.patch
    Document how to reproduce the compose data. We don't do this at build
    time, because the compose data is relatively rarely updated, and
    during cross-compilation that would require building all of GTK for
    both the build and host architectures.
  * d/p/compose-Update-sequences-from-libX11-1.7.2.patch:
    Update compose data from libX11 1.7.2.
    This adds a few missing compose sequences.

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Aug 2021 13:33:17 +0100

gtk4 (4.4.0+ds1-2) experimental; urgency=medium

  * Completely move .links files to debhelper syntax (Closes: #991964)
  * Always expect NEWS to be compressed (Closes: #985418).
    debhelper always compresses NEWS files, even if they are small.

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Aug 2021 15:15:44 +0100

gtk4 (4.4.0+ds1-1) experimental; urgency=medium

  * New upstream stable release
  * d/control.in: Update dependencies
  * d/copyright: Update
  * Update symbols file for new ABI
  * d/watch: Only watch for stable releases.
    If we want GTK 4.4.x to move to unstable any time soon, we should
    avoid packaging GTK 4.5.x when it becomes available.
  * d/rules: Fix variable reference in dh_fixperms override

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2021 10:24:58 +0100

gtk4 (4.3.2+ds1-1) experimental; urgency=medium

  * New upstream release
  * d/watch, d/copyright: Exclude pregenerated documentation.
    There's a lot of it, and excluding it makes the diff to review a lot
    smaller.
  * d/control.in: Bump meson requirement as per meson.build
  * d/control.in: Remove build-dependencies for Google Cloud Print.
    The service underlying this printing backend was shut down at the end
    of 2020, so the printing backend is no longer useful and was removed
    upstream.
  * Drop patches that were applied upstream
  * d/rules: Rebuild emoji data from source files.
    This provides a straightforward way to check that we have the correct
    source files.
  * Disable GStreamer for the udeb build.
    Support for VP8 and VP9 is officially part of the GTK4 API, but it seems
    OK to provide a reduced API in debian-installer.
  * Label the FFmpeg media backend as experimental, and only build it when
    targeting experimental.
    Upstream consider it to be experimental, and recommend the GStreamer
    backend.
  * tests: Specify locales' charsets explicitly, fixing FTBFS with new glibc.
    glibc 2.31-14 dropped support for all non-UTF-8 locales, so we can't
    use /usr/share/i18n/SUPPORTED to choose a suitable charset any more.
  * Update symbols file
  * Leave Vulkan disabled, and remove Vulkan symbols from .symbols file.
    This is an ABI break, but GTK4 is only in experimental so far, so that

