## gtk4 4.6.1+ds

=== debian/changelog ===
gtk4 (4.6.1+ds-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4.4.0+ds1-5+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 07 Sep 2021 10:26:09 +0000]
  * Disable a couple of faliing tests in Raspbian.
  * Fix clean target.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 21 Feb 2022 15:28:14 +0000

gtk4 (4.6.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/control.in: Update build-dependency versions
  * d/copyright: Update
  * d/watch: Repack with wayland subproject excluded, we use the system copy
  * d/run-tests.sh: Show full test log after testing

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Feb 2022 16:55:50 +0000

gtk4 (4.6.0+ds1-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 13:25:53 -0500

gtk4 (4.6.0+ds1-3) experimental; urgency=medium

  * Skip another known-failing test on mips*el (see #993550)
  * Add mips*el bug reference to previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jan 2022 22:47:19 +0000

gtk4 (4.6.0+ds1-2) experimental; urgency=medium

  * d/p/png-Correct-endianness-for-big-endian-machines.patch:
    Add proposed patch to fix FTBFS on s390x
  * d/p/debian/Skip-some-known-failing-tests-on-mips-family-architecture.patch:
    Skip another known-failing test on mips family (see #1003348)
  * d/p/debian/Disable-optimized-GResource-embedding.patch:
    Disable optimized GResource embedding.
    This seems to be triggering failures on armel and armhf. Second-guessing
    GResource seems to be more trouble than it's worth.
  * d/rules: Rebuild CSS using sass

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jan 2022 18:40:18 +0000

gtk4 (4.6.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Rebase patch series
    - d/p/debian/testsuite-Don-t-test-the-old-gl-renderer.patch:
      Drop, no longer needed
  * d/control.in: Update build-dependencies
  * d/copyright: Update
  * d/rules: Don't build man pages under nodoc build-profile
  * d/source/include-binaries, d/rules:
    Remove workaround for Compose endianness handling, no longer necessary
  * Update symbols file
  * d/p/Make-our-stack-noexec.patch:
    Add patch from upstream fixing regressions from optimized GResource
    processing
  * d/p/build-Tell-glib-compile-resources-to-make-symbols-interna.patch:
    Add proposed patch to reduce unwanted symbol exports
  * Upload to experimental for initial testing

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jan 2022 18:14:08 +0000

gtk4 (4.4.1+ds1-3) unstable; urgency=medium

  * debian/control.in: Don't build ffmpeg backend on architectures where
    ffmpeg doesn't build
  * debian/rules: Build with cloudproviders support (except on Ubuntu)
  * debian/rules: Enable sysprof support on Linux

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 29 Nov 2021 18:18:30 -0500

gtk4 (4.4.1+ds1-2) unstable; urgency=medium

  * d/control.in, d/rules: Gate libgtk-4-media-ffmpeg with a build-profile.
    If we only build it for experimental uploads, but there is no version
    currently in experimental, then its entry in the overrides file will be
    removed after a while, causing the next upload to be considered NEW.

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 16:46:50 +0000

gtk4 (4.4.1+ds1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules: Correctly enable auto features for deb build

  [ Simon McVittie ]
  * New upstream release
  * Rebase patch series, dropping patches that were applied upstream
  * d/copyright: Update
  * libgtk-4-dev Suggests gtk-4-examples (Closes: #995752)
  * Stop enabling a Meson option that no longer exists.
    This was merely a warning with Meson 0.59, but is an error with
    Meson 0.60. (Closes: #998551)
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 12:54:16 +0000
