=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Iain Lane <laney@debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -16,10 +16,10 @@
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas <!nocheck>,
                iso-codes <!nocheck>,
-               libavcodec-dev (>= 7:4.1.0),
-               libavfilter-dev (>= 7:4.1.0),
-               libavformat-dev (>= 7:4.1.0),
-               libavutil-dev (>= 7:4.1.0),
+               libavcodec-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavfilter-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavformat-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavutil-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libcairo2-dev (>= 1.14.0),
                libcolord-dev (>= 0.1.9),
                libcloudproviders-dev (>= 0.3.1),
@@ -35,15 +35,18 @@
                libgstreamer1.0-dev (>= 1.12.3),
                libgstreamer-plugins-bad1.0-dev (>= 1.12.3),
                libharfbuzz-dev (>= 2.1.0),
+               libjpeg-dev,
                libjson-glib-dev:native,
-               libpango1.0-dev (>= 1.47.0),
+               libpango1.0-dev (>= 1.50.0),
+               libpng-dev,
                libpolkit-gobject-1-dev (>= 0.105) [linux-any],
                librsvg2-common <!nocheck>,
-               librsvg2-dev,
-               libswscale-dev (>= 7:4.1.0),
+               librsvg2-dev (>= 2.52.0),
+               libswscale-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
+               libtiff-dev,
                libvulkan-dev [linux-any],
-               libwayland-dev (>= 1.16.91) [linux-any],
+               libwayland-dev (>= 1.20.0) [linux-any],
                libx11-dev,
                libxcomposite-dev,
                libxcursor-dev,
@@ -57,12 +60,13 @@
                libxml2-utils,
                libxrandr-dev (>= 2:1.5.0),
                locales <!nocheck> | locales-all <!nocheck>,
-               meson (>= 0.55),
+               meson (>= 0.59),
                pkg-config,
+               python3-docutils <!nodoc>,
                python3-gi (>= 3.40) <!nocheck>,
                sassc,
                ttf-bitstream-vera <!nocheck>,
-               wayland-protocols (>= 1.21) [linux-any],
+               wayland-protocols (>= 1.23) [linux-any],
                weston [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xsltproc,
@@ -78,7 +82,7 @@
                      python3-toml <!nodoc>,
                      python3-typogrify <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
 Homepage: https://www.gtk.org/
@@ -95,7 +99,7 @@
 Provides: gtk4-binver-4.0.0
 Recommends: libgtk-4-bin,
             iso-codes,
-            librsvg2-common,
+            librsvg2-common (>= 2.52.0),
 Suggests: gvfs,
           libgtk-4-media-gstreamer | libgtk-4-media-ffmpeg,
 Breaks: libgtk-4-0 (<< 4.0.0),
@@ -174,7 +178,7 @@
          libgdk-pixbuf-2.0-dev (>= 2.30.0),
          libglib2.0-dev (>= 2.66.0),
          libgraphene-1.0-dev (>= 1.9.1),
-         libpango1.0-dev (>= 1.47.0),
+         libpango1.0-dev (>= 1.50.0),
          libwayland-dev (>= 1.16.91) [linux-any],
          libx11-dev,
          libxcomposite-dev,
@@ -193,7 +197,8 @@
          ${shlibs:Depends},
          libgtk-4-common,
          libgtk-4-1 (= ${binary:Version})
-Suggests: libgtk-4-doc
+Suggests: libgtk-4-doc,
+          gtk-4-examples
 Description: development files for the GTK library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -236,8 +241,9 @@
  This package contains the media module that uses GStreamer as backend.
 
 Package: libgtk-4-media-ffmpeg
+Build-Profiles: <pkg.gtk4.ffmpeg>
 Section: x11
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -259,7 +265,7 @@
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version})
 Recommends: fonts-cantarell,
-            librsvg2-common,
+            librsvg2-common (>= 2.52.0),
 Description: example files for GTK 4
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -274,7 +280,7 @@
 Section: x11
 Architecture: any
 Depends: iso-codes,
-         librsvg2-common,
+         librsvg2-common (>= 2.52.0),
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version}),
@@ -320,12 +326,3 @@
 #         ${shlibs:Depends}
 #Breaks: libgtk2.0-bin (<< 2.24.30-2),
 #        libgtk-3-bin (<< 3.20.6-1)
-#Replaces: libgtk2.0-bin (<< 2.24.30-2),
-#          libgtk-3-bin (<< 3.20.6-1)
-#Description: icon theme caching utility
-# gtk-update-icon-cache creates mmap()able cache files for icon themes.
-# .
-# GTK can use the cache files created by gtk-update-icon-cache to avoid a lot
-# of system call and disk seek overhead when the application starts. Since the
-# format of the cache files allows them to be mmap()ed shared between multiple
-# applications, the overall memory consumption is reduced as well.
