=== debian/rules ===
--- 
+++ 
@@ -51,17 +51,6 @@
 # macro computing the list of 'debian/<pkg>.*" files which have a
 # corresponding ".in" file; pass the list of packages in $(1)
 dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))
-
-# Upstream consider the ffmpeg backend to be experimental, let's not
-# inflict that on suites other than experimental.
-ifeq (,$(filter-out Debian/experimental %/UNRELEASED,$(DEB_VENDOR)/$(DEB_DISTRIBUTION)))
-$(info Enabling ffmpeg because this is an experimental or UNRELEASED build)
-media_ffmpeg = enabled
-else
-$(info Disabling ffmpeg by default)
-media_ffmpeg = disabled
-dh_options += -N$(MEDIA_FFMPEG_PKG)
-endif
 
 debian/%: debian/%.in
 	dh_testdir
@@ -82,18 +71,16 @@
 		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
 		-e "s#@LIBDIR@#$(LIBDIR)#g" \
 		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
+		-e "s#@DEB_VERSION_UPSTREAM@#$(DEB_VERSION_UPSTREAM)#g" \
 		$@.in > $@
 
 configure_flags_common = \
 	--libdir=/$(LIBDIR) \
-	-Dsassc=enabled \
 	${NULL}
 
 configure_flags_deb = \
-	--auto-features enabled \
+	-Dauto_features=enabled \
 	-Dbroadway-backend=false \
-	-Dman-pages=true \
-	-Dmedia-ffmpeg=$(media_ffmpeg) \
 	-Dx11-backend=true \
 	${NULL}
 
@@ -103,7 +90,14 @@
 configure_flags_deb += -Dcolord=disabled
 endif
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+configure_flags_deb += -Dman-pages=true
+else
+configure_flags_deb += -Dman-pages=false
+endif
+
 ifeq (linux,$(DEB_HOST_ARCH_OS))
+configure_flags_deb += -Dsysprof=enabled
 configure_flags_deb += -Dwayland-backend=true
 else
 configure_flags_deb += -Dsysprof=disabled
@@ -131,13 +125,23 @@
 configure_flags_deb += -Dinstall-tests=true
 endif
 
+# Upstream consider the ffmpeg backend to be experimental, let's not
+# build that by default.
+ifeq ($(filter $(MEDIA_FFMPEG_PKG),$(built_binaries)),)
+configure_flags_deb += -Dmedia-ffmpeg=disabled
+else
+configure_flags_deb += -Dmedia-ffmpeg=enabled
+endif
+
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
 # Not in main repository
 configure_flags_deb += -Dcloudproviders=disabled
+else
+configure_flags_deb += -Dcloudproviders=enabled
 endif
 
 configure_flags_udeb = \
-	--auto-features disabled \
+	-Dauto_features=disabled \
 	-Dbroadway-backend=false \
 	-Dbuild-examples=false \
 	-Ddemos=false \
@@ -152,12 +156,16 @@
 	dh $@ --with gir --buildsystem=meson $(dh_options)
 
 override_dh_clean: debian/control
+	# cleanup python crap
+	rm -rf subprojects/gi-docgen/gidocgen/gir/__pycache__
+	rm -rf subprojects/gi-docgen/gidocgen/__pycache__
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
 	rm -f $(call dh_subst_files,$(all_binaries))
 	rm -rf debian/build debian/install
-	rm -f gtk/compose/sequences-big-endian
-	rm -f gtk/compose/sequences-little-endian
+	# Rebuild the CSS from source. Note that gtk.css is hand-written,
+	# not generated, so don't delete that one.
+	rm -f gtk/theme/Default/Default-*.css
 	dh_clean
 
 # Add dependencies to generate files from the debian/*.in ones
@@ -173,8 +181,6 @@
 	done
 
 override_dh_auto_configure: debian/control
-	cp debian/compose/sequences-big-endian gtk/compose/sequences-big-endian
-	cp debian/compose/sequences-little-endian gtk/compose/sequences-little-endian
 	dh_auto_configure \
 		--builddirectory=debian/build/deb \
 		-- \
@@ -261,6 +267,3 @@
 	rm -frv debian/install/udeb/usr/share/metainfo
 	rm -fv debian/install/deb/usr/share/man/man1/gtk4-broadwayd.1
 	:
-	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
-	dh_install --remaining-packages --sourcedir=debian/install/deb
-
