## gtk4 4.6.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -83,8 +84,10 @@
                      python3-typogrify <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4/-/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git -b ubuntu/master
 Homepage: https://www.gtk.org/
 
 Package: libgtk-4-1
@@ -317,12 +320,3 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
-
-#Package: gtk-update-icon-cache
-#Section: misc
-#Architecture: any
-#Multi-Arch: foreign
-#Depends: ${misc:Depends},
-#         ${shlibs:Depends}
-#Breaks: libgtk2.0-bin (<< 2.24.30-2),
-#        libgtk-3-bin (<< 3.20.6-1)
