=== debian/rules ===
--- 
+++ 
@@ -156,9 +156,6 @@
 	dh $@ --with gir --buildsystem=meson $(dh_options)
 
 override_dh_clean: debian/control
-	# cleanup python crap
-	rm -rf subprojects/gi-docgen/gidocgen/gir/__pycache__
-	rm -rf subprojects/gi-docgen/gidocgen/__pycache__
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
 	rm -f $(call dh_subst_files,$(all_binaries))
@@ -174,10 +171,11 @@
 override_dh_auto_build: rebuild-emoji
 rebuild-emoji:
 	gcc -o debian/convert-emoji gtk/emoji/convert-emoji.c `pkg-config --cflags --libs json-glib-1.0`
-	set -eu; for input in debian/missing-sources/emojibase/packages/data/*/data.raw.json; do \
-		lang=$$(echo $$input | sed -ne 's,^.*/\([a-z][a-z]\)/data.raw.json$$,\1,p'); \
-		output=gtk/emoji/$$lang.data; \
-		debian/convert-emoji $$input $$output; \
+	set -eu; for input in debian/missing-sources/emojibase/packages/data/??/data.raw.json; do \
+		lang="$$(echo "$$input" | sed -ne 's,^.*/\([a-z][a-z]\)/data.raw.json$$,\1,p')"; \
+		output="gtk/emoji/$$lang.data"; \
+		test -f "$$output" || continue; \
+		debian/convert-emoji "$$input" "$$output"; \
 	done
 
 override_dh_auto_configure: debian/control
@@ -267,3 +265,4 @@
 	rm -frv debian/install/udeb/usr/share/metainfo
 	rm -fv debian/install/deb/usr/share/man/man1/gtk4-broadwayd.1
 	:
+	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
